call spQuery_Lista_Tipo_Proveedor(NULL,NULL);

DROP PROCEDURE IF EXISTS spQuery_Lista_Tipo_Proveedor;
CREATE PROCEDURE spQuery_Lista_Tipo_Proveedor(
	varCodigo   char(2),
	varNombre   varchar(50)
)
BEGIN
  DECLARE varCadCod, varCadNom TEXT default '';
  
  if varCodigo <> '' and varCodigo is not NULL then
    set varCadCod = CONCAT(" and id_tipo_proveedor = ", varCodigo, " ");
  end if;
  if varNombre <> '' and varNombre is not NULL then
    set varCadNom = CONCAT(" and nombre  like  '%", varNombre, "%' ");
  end if;
  
  
  SET @sql = CONCAT("select id_tipo_proveedor as CTIP, nombre AS TIPO ",
                    "from _sv_tipo_proveedor ",
                    "where _estado = 'A' ",
                    varCadCod, varCadNom); 
  PREPARE s1 FROM @sql;
  EXECUTE s1;
  DEALLOCATE PREPARE s1; 
END;